Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000746bareos-core[All Projects] directorpublic2016-12-29 19:332017-06-08 15:21
ReporterMasanetz 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformX86_64OSGentoo LinuxOS Version
Product Version16.2.4 
Target VersionFixed in Version 
Summary0000746: Status storage slots picks wrong storage daemon
DescriptionI have a configuration with two identical tape libraries (Scalari500_1 and Scalari500_2) on two storage daemons (Scalari500_1 at g8:9103 and Scalari500_2 at g8:9104).

'echo status storage=Scalari500_1 slots | bconsole' shows volumelist as expected.
'echo status storage=Scalari500_2 slots | bconsole' shows an error:
>> Connecting to Storage daemon Scalari500_1 at g8:9103 ...
>> 3999 Device "Scalari500_2" not found or could not be opened.

BUT: typing 'status storage=Scalari500_2' directly followed by 'status storage=Scalari500_2 slots' within the same bconsole session shows the expected volumelist.
and typing 'status storage=Scalari500_2' directly followed by 'status storage=Scalari500_1 slots' shows error:
>> Connecting to Storage daemon Scalari500_2 at g8:9104 ...
>> 3999 Device "Scalari500_1" not found or could not be opened.

Even 'status storage=File' followed by 'status storage slots' shows the error...
Additional InformationThe config worked with older version (15.2.2 ???)

Even changing Scalari500_2 to an other host did not work.
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionwill care
bareos-16.2: impactyes
bareos-16.2: actionwill care
bareos-15.2: impactno
bareos-15.2: action
bareos-14.2: impactno
bareos-14.2: action
bareos-13.2: impactno
bareos-13.2: action
bareos-12.4: impactno
bareos-12.4: action
Attached Files? file icon storages.conf [^] (524 bytes) 2016-12-29 19:33

- Relationships
child of 0000794assignedstephand Release bareos-16.2.6 

-  Notes
(0002649)
joergs (administrator)
2017-06-08 15:21

Fix committed to bareos bareos-16.2 branch with changesetid 7018.

- Related Changesets
bareos: bareos-16.2 3d0a1a0a
Timestamp: 2017-05-04 12:43:08
Author: pstorz
Committer: joergs
Ported: N/A
Details ] Diff ]
bcommand: fix problems with multiple storages

Unfortunately, the storage abstraction layer introduced
some problems with storage handling when multiple storages
are defined.

The code that connects to the sd uses the storage stored in
ua->jcr->res.wstore, but not all code sets this to the currently
requested storage.

This patch fixes this problem by taking care that the
given storage is set as ua->jcr->res.wstore

Fixes 0000746: Status storage slots picks wrong storage daemon
mod - src/dird/sd_cmds.c Diff ] File ]
mod - src/dird/ua_label.c Diff ] File ]
mod - src/dird/ua_purge.c Diff ] File ]
mod - src/dird/ua_status.c Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-12-29 19:33 Masanetz New Issue
2016-12-29 19:33 Masanetz File Added: storages.conf
2017-06-08 13:17 joergs Relationship added child of 0000794
2017-06-08 13:31 joergs bareos-master: impact => yes
2017-06-08 13:31 joergs bareos-master: action => will care
2017-06-08 13:31 joergs bareos-16.2: impact => yes
2017-06-08 13:31 joergs bareos-16.2: action => will care
2017-06-08 13:31 joergs bareos-15.2: impact => no
2017-06-08 13:31 joergs bareos-14.2: impact => no
2017-06-08 13:31 joergs bareos-13.2: impact => no
2017-06-08 13:31 joergs bareos-12.4: impact => no
2017-06-08 13:31 joergs Status new => resolved
2017-06-08 13:31 joergs Resolution open => fixed
2017-06-08 13:31 joergs Assigned To => joergs
2017-06-08 13:36 joergs Assigned To joergs =>
2017-06-08 15:21 joergs Changeset attached => bareos bareos-16.2 3d0a1a0a
2017-06-08 15:21 joergs Note Added: 0002649


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker